# Makefile for building qh-math.exe
#
# Copyright (c) 2000 by P.J. Hinton <paulh@wolfram.com> 
#
# Use of this source code implies consent to the license in the file
# COPYING that accompanies this source code archive.
#
# User must specify values for MLINKDIR and SYS.  Additionally, user may
# need to change QHINCDIR and QHLIBDIR depending on the location of the
# qhull header and library files. 

MLINKDIR = # <path to Mathematica>/AddOns/MathLink/DevelopersKits
SYS =      # platform {SPARC,Solaris,HP-RISC,SGI,IBM-RISC,DEC-AXP,Linux}
CADDSDIR = ${MLINKDIR}/${SYS}/CompilerAdditions

MPREP = ${CADDSDIR}/mprep

MLINCDIR = ${CADDSDIR}
MLLIBDIR = ${CADDSDIR}

QHINCDIR = # path to qhull header files
QHLIBDIR = # path to qhull library (libqhull.a)

DBGFLAG = # -g -Wall -ansi
LNKFLAG = # -static
OPTFLAG = -O2

.PHONY : clean

qh-math.exe : qh-math.tm.o qh-math.o
	${CC} -L${MLLIBDIR} -L${QHLIBDIR} -o $@ $? ${LNKFLAG} -lqhull -lML -lm

.c.o :
	${CC} -c ${DBGFLAG} ${OPTFLAG} -I${MLINCDIR} -I${QHINCDIR} $<

qh-math.tm.c : qh-math.tm
	${MPREP} $? -o $@

clean: 
	rm -f *.o *.exe qh-math.tm.c
