# Microsoft NMAKE Makefile for building qh-math.exe
#
# Copyright (c) 2000 by P.J. Hinton <paulh@wolfram.com> 
#
# Use of this source code implies consent to the license in the file
# COPYING that accompanies this source code archive.
#
# User must specify values for MLINKDIR, QHINCDIR, QHLIBDIR, and 
# DEVSTUDIO to reflect that of actual system layout.  
#
# This Makefile assumes that a static library named qhull.lib has 
# been built from qhull object code files using Microsoft's linker. 
# This can be done with the help of the makefile qhull-lib.MS.

MLINKDIR = # <path to Mathematica>\AddOns\MathLink\DevelopersKits
SYS = Windows
CADDSDIR = $(MLINKDIR)\$(SYS)\CompilerAdditions\mldev32

MPREP = "$(CADDSDIR)\bin\mprep.exe"

MLINCDIR = "$(CADDSDIR)\include"
MLLIBDIR = "$(CADDSDIR)\lib"

QHINCDIR = # path to qhull header files
QHLIBDIR = # path to qhull static library qhull.lib

DEVSTUDIO= # Path to MS Visual Studio installation
           # e.g. C:\Program Files\Microsoft Visual Studio
MSVCDIR = $(DEVSTUDIO)\VC98  # Path to Visual C++ components
MSVCBIN = $(MSVCDIR)\Bin
MSVCINC = $(MSVCDIR)\Include
MSVCLIB = $(MSVCDIR)\Lib

CC = "$(MSVCBIN)\CL.EXE"
LINK = "$(MSVCBIN)\LINK.EXE"

CFLAGS = /nologo /c /ML /W3 /Z7 /Od /DWIN32 /D_WINDOWS /I$(MLINCDIR) /I$(QHINCDIR) 
LFLAGS = /PDB:NONE /NOLOGO /SUBSYSTEM:windows /INCREMENTAL:no /LIBPATH:$(QHLIBDIR) /LIBPATH:$(MLLIBDIR) kernel32.lib user32.lib gdi32.lib qhull.lib ml32i2m.lib

all: qh-math.exe

qh-math.exe : qh-math.tm.obj qh-math.obj
	$(LINK) qh-math.tm.obj qh-math.obj /OUT:qh-math.exe $(LFLAGS)

.c.obj :
	$(CC) $(CFLAGS) $?

qh-math.tm.c : qh-math.tm
	$(MPREP) -o qh-math.tm.c qh-math.tm
