# Microsoft NMAKE Makefile for building qhull.lib static library 
#                                                                               # Copyright (c) 2000 by P.J. Hinton <paulh@wolfram.com>
#
# Use of this source code implies consent to the license in the file
# COPYING that accompanies this source code archive.
#
# User must specify values for DEVSTUDIO and QHINCDIR to reflect 
# that of actual system layout.
# 
# This file should be relocated to the directory where the qhull 
# sources reside.

DEVSTUDIO = # Path to MS Visual Studio installation
            # e.g. C:\Program Files\Microsoft Visual Studio
MSVCDIR = $(DEVSTUDIO)\VC98
MSVCBIN = $(MSVCDIR)\Bin
MSVCINC = $(MSVCDIR)\Include
MSVCLIB = $(MSVCDIR)\Lib

CC = "$(MSVCBIN)\CL.EXE"
LIB = "$(MSVCBIN)\LIB.EXE"

QHINCDIR = # path to QHull C header files

CFLAGS = /c /nologo /I$(QHINCDIR)
LFLAGS = /NOLOGO

OBJS = user.obj global.obj stat.obj io.obj geom2.obj poly2.obj \
	merge.obj qhull.obj geom.obj poly.obj qset.obj mem.obj

qhull.lib : $(OBJS)
	$(LIB) $(LFLAGS) /OUT:qhull.lib $(OBJS)

.c.obj :
	$(CC) $(CFLAGS) $?

